Skip to main content
GET
/
v1
/
account_settings
/
{account_id}
cURL
curl --request GET \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/account_settings/<uuid>
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z"
  },
  "response_type": "object",
  "data": {
    "charges": {
      "max_amount": 123,
      "monthly_amount": 123,
      "daily_amount": 123,
      "monthly_count": 123,
      "funding_time": "<string>",
      "linked_bank_account_id": "<string>"
    },
    "payouts": {
      "max_amount": 123,
      "monthly_amount": 123,
      "daily_amount": 123,
      "monthly_count": 123,
      "funding_time": "<string>",
      "linked_bank_account_id": "<string>"
    },
    "statement_settings": {
      "company_name": "<string>",
      "company_id": "<string>",
      "default_descriptor": "<string>"
    },
    "payment_types": {
      "charges": "active",
      "payouts": "active"
    },
    "customer_types": {
      "individuals": "active",
      "businesses": "active"
    },
    "consent_types": {
      "internet": "active",
      "signed_agreement": "active"
    },
    "configuration": {
      "allow_data_unmask": true,
      "allow_duplicate_email": true,
      "allow_customer_identity_skip": true,
      "allow_paykey_verification_skip": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.straddle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

request-id
string

Optional client generated identifier to trace and debug a request.

correlation-id
string

Optional client generated identifier to trace and debug a series of requests.

Path Parameters

account_id
string<uuid>
required

Response

OK

meta
object
required

Metadata about the API request, including an identifier and timestamp.

response_type
enum<string>
required

Indicates the type of data returned.

Available options:
object,
array,
error,
none
data
object
required